package com.yem.wm.bc.change.common.consts;

import kd.mpscmm.msbd.common.enums.MultiLangEnumBridge;

/**
 * @author 夜子
 * @ClassName BizChangeTypeEnum
 * @description: 分录变更状态枚举
 * @date 2023年08月10日
 * @version: 1.0
 */
public enum BizChangeTypeEnum {
    ADDNEW(new MultiLangEnumBridge("新增", "BizChangeTypeEnum_0", "yem-yc-changemodel"), "A"),
    UPDATE(new MultiLangEnumBridge("修改", "BizChangeTypeEnum_1", "yem-yc-changemodel"), "B"),
    CANCEL(new MultiLangEnumBridge("取消", "BizChangeTypeEnum_2", "yem-yc-changemodel"), "C");

    private String value;
    private MultiLangEnumBridge bridge = null;

    private BizChangeTypeEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
       BizChangeTypeEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            BizChangeTypeEnum type = var2[var4];
            if (value.equals(type.getValue())) {
                name = type.getName();
                break;
            }
        }

        return name;
    }
}
